Bug 985771 - manpage of bash may need an update
manpage of bash may need an update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
19
noarch Linux
unspecified Severity low
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 04:24 EDT by lee
Modified: 2016-01-31 21:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-01 06:57:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lee 2013-07-18 04:24:14 EDT
The man page of bash states:


       MAILCHECK
              Specifies how often (in seconds) bash checks for mail.  The
              default  is 60 seconds.  When it is time to check for mail,
              the shell does so before displaying the primary prompt.  If
              this  variable  is  unset,  or set to a value that is not a
              number greater than or equal to zero,  the  shell  disables
              mail checking.


Checking for mail remains enabled when MAILCHECK is set to zero.  Setting MAILCHECK to -1 disables the mail check (or at least the message that you have new mail).
Comment 1 Fedora Admin XMLRPC Client 2013-10-07 07:47:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Ondrej Oprala 2014-04-01 06:57:07 EDT
MAILCHECK=0 is supposed to keep the mail check enabled, just read the sentence one more time perhaps. Let me rewrite part of that man page for you in pseudo-code:

if $MAILCHECK >= 0
  MAILCHECK_ENABLED = true;
else
  MAILCHECK_ENABLED = false;

Note You need to log in before you can comment on or make changes to this bug.